com.gemstone.tools

## Interface GbxToolsSupport

-     public interface GbxToolsSupport

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `GbjObject[]` | `acceptClassText_oldClass_(java.lang.String aString, GbjObject oldClass)`
    `com.gemstone.tools.GbxActivationHolder[]` | `activationHoldersFor_maxLevels_(GbjObject aProcess, int maxLevels)`
    `GbjObject` | `addDict_at_(java.lang.String aString, int index)`
    `void` | `addProtocol_toClass_(java.lang.String newProtocol, GbjObject aClass)`
    `GbjObject` | `at_(GbjObject anObject, int index)`
    `java.lang.String` | `classDefinitionFor_(GbjObject anObject)`
    `GbjObject` | `classFor_(GbjObject aClass)`
    `com.gemstone.tools.GbxClassHolder[]` | `classHierarchyHoldersFor_(GbjObject anObject)`
    `GbjObject` | `classHistoryFor_(GbjObject aClass)`
    `com.gemstone.tools.GbxClassHolder[]` | `classHoldersFor_(GbjObject anObject)`
    `GbjObject` | `classNamed_(java.lang.String aClassName)`
    `GbjObject` | `classNameFor_(GbjObject anObject)`
    `java.lang.String[]` | `classNamesMatching_(java.lang.String aClassName)`
    `java.lang.String[]` | `classVarNamesInClass_(GbjObject aClass)`
    `com.gemstone.tools.GbxClassHolder[]` | `classVersionHoldersFor_(GbjObject anObject)`
    `boolean` | `collection_includes_(GbjObject anObject, GbjObject element)`
    `java.lang.String` | `commentForClass_(GbjObject aClass)`
    `java.util.Vector` | `compile_classified_class_(java.lang.String source, java.lang.String aProtocol, GbjObject aClass)`
    `GbjObject` | `continueProcess_(GbjObject aProcess, GbjSession session)`
    `com.gemstone.tools.GbxDictionaryHolder` | `dictionaryForClass_(GbjObject aClassProxy)`
    `com.gemstone.tools.GbxDictionaryHolder` | `dictionaryHolderFor_(GbjObject anObject)`
    `com.gemstone.tools.GbxDictionaryHolder[]` | `dictionaryHolders()`
    `java.lang.String[]` | `dictionaryNames()`
    `void` | `disableAllBreaks()`
    `void` | `disableBreakpoint_inMethod_(int stepPoint, GbjObject aMethod)`
    `void` | `enableAllBreaks()`
    `void` | `enableBreakpoint_inMethod_(int stepPoint, GbjObject aMethod)`
    `GbjObject[]` | `errorInfoFrom_(GbjObject errorArray)`
    `GbjObject` | `evaluate_inContext_names_values_printing_(java.lang.String aString, GbjObject context, GbjObject names, GbjObject values, boolean aBoolean)`
    `void` | `fileInString_(java.lang.String aString)`
    `java.lang.String` | `fileOutOfClass_(GbjObject aClass)`
    `java.lang.String` | `fileOutOfDictionary_(GbjObject aDict)`
    `java.lang.String` | `fileOutOfMethod_inClass_(java.lang.String aSelector, GbjObject aClass)`
    `GbjObject[]` | `infoForClassNamed_(java.lang.String aClassName)`
    `GbjObject` | `instancesOf_(GbjObject aClass)`
    `java.lang.String[]` | `instVarNamesInClass_(GbjObject aClass)`
    `boolean` | `isDictionary_(GbjObject anObject)`
    `boolean` | `makeClass_aVersionOf_(GbjObject aClass, GbjObject targetClass)`
    `java.lang.String[]` | `messagesInMethod_inClass_(java.lang.String aSelector, GbjObject aClass)`
    `com.gemstone.tools.GbxMethodHolder[]` | `methodHoldersFor_inProtocol_(GbjObject anObject, java.lang.String aProtocol)`
    `com.gemstone.tools.GbxMethodHolder[]` | `methodHoldersFor_inProtocol_toLevel_(GbjObject anObject, java.lang.String aProtocol, int aLevel)`
    `com.gemstone.tools.GbxMethodHolder[]` | `methodHoldersForBreakpoints()`
    `com.gemstone.tools.GbxMethodHolder[]` | `methodHoldersForImplementorsOf_(java.lang.String selector)`
    `com.gemstone.tools.GbxMethodHolder[]` | `methodHoldersForReferencesTo_(java.lang.String aSymbol)`
    `com.gemstone.tools.GbxMethodHolder[]` | `methodHoldersForRefsToClass_(GbjObject aProxy)`
    `com.gemstone.tools.GbxMethodHolder[]` | `methodHoldersForRefsToClassVar_inClass_(java.lang.String cvName, GbjObject aProxy)`
    `com.gemstone.tools.GbxMethodHolder[]` | `methodHoldersForRefsToInstVar_inClass_(java.lang.String ivName, GbjObject aProxy)`
    `com.gemstone.tools.GbxMethodHolder[]` | `methodHoldersForSendersOf_(java.lang.String selector)`
    `com.gemstone.tools.GbxMethodHolder[]` | `methodHoldersForSubstring_(java.lang.String substring)`
    `void` | `migrateInstancesOf_to_(GbjObject fromClass, GbjObject toClass)`
    `void` | `moveClass_fromDict_toDict_(GbjObject aClass, GbjObject fromDict, GbjObject toDict)`
    `void` | `moveMethod_to_inClass_(java.lang.String aSelector, java.lang.String newProtocol, GbjObject aClass)`
    `java.lang.String` | `nameOf_(GbjObject anObject)`
    `com.gemstone.tools.GbxObjectHolder[]` | `objectHoldersFor_maxObjects_(GbjObject anObject, int max)`
    `com.gemstone.tools.GbxObjectHolder[]` | `objectHoldersForNames_values_(GbjObject names, GbjObject values)`
    `java.lang.String` | `printStringFor_(GbjObject anObject)`
    `java.lang.String` | `protocolForSelector_inClass_(java.lang.String aSelector, GbjObject aClass)`
    `java.lang.String[]` | `protocolHoldersFor_(GbjObject anObject)`
    `java.lang.String[]` | `protocolHoldersFor_toLevel_(GbjObject anObject, int aLevel)`
    `int` | `remoteSizeOf_(GbjObject anObject)`
    `void` | `removeAllBreaks()`
    `void` | `removeBreakpoint_inMethod_(int stepPoint, GbjObject aMethod)`
    `void` | `removeClass_fromDict_(GbjObject aClass, GbjObject aDict)`
    `void` | `removeDictionary_(GbjObject aProxy)`
    `void` | `removeFromClassHistory_(GbjObject aClass)`
    `void` | `removeMethod_fromClass_(java.lang.String aSelector, GbjObject aClass)`
    `void` | `removeProtocol_fromClass_(java.lang.String aProtocol, GbjObject aClass)`
    `boolean` | `renameDictionary_as_(GbjObject aDictionary, java.lang.String aString)`
    `void` | `renameProtocol_to_inClass_(java.lang.String oldName, java.lang.String newName, GbjObject aClass)`
    `void` | `resetClassOrganizer()`
    `java.lang.String[]` | `selectorsForClass_(GbjObject aClass)`
    `void` | `setBreakIn_at_(GbjObject aMethod, int offset)`
    `java.lang.String` | `sourceCodeAt_inClass_(java.lang.String selector, GbjObject aClass)`
    `java.lang.String` | `sourceCodeForMethod_(GbjObject aMethod)`
    `java.lang.String` | `sourceStringFor_(GbjObject anObject)`
    `void` | `stepIntoInProcess_(GbjObject aProcess)`
    `GbjObject` | `stepOverInProcess_(GbjObject aProcess)`
    `GbjObject` | `stepOverInProcess_inFrame_(GbjObject aProcess, int aLevel)`
    `void` | `storeObject_intoObject_atIndex_atKey_isNamedSlot_(GbjObject slotObject, GbjObject anObject, int slot, GbjObject aKey, boolean isNamedSlot)`
    `java.lang.String[]` | `stringContentsOf_(GbjCollection collectionProxy)`
    `java.lang.String[]` | `symbolsMatching_(java.lang.String sel)`
    `GbjObject` | `thisClass_(GbjObject aClass)`
    `GbjObject` | `transactionConflicts()`
    `void` | `trimStackOf_toLevel_(GbjObject aProcess, int aLevel)`

- - ### Method Detail

    - #### classFor_

          GbjObject classFor_(GbjObject aClass)
                       throws GbjException

      Throws:
        `GbjException`

    - #### classNameFor_

          GbjObject classNameFor_(GbjObject anObject)
                           throws GbjException

      Throws:
        `GbjException`

    - #### fileOutOfClass_

          java.lang.String fileOutOfClass_(GbjObject aClass)
                                    throws GbjException

      Throws:
        `GbjException`

    - #### fileOutOfMethod_inClass_

          java.lang.String fileOutOfMethod_inClass_(java.lang.String aSelector,
                                                    GbjObject aClass)
                                             throws GbjException

      Throws:
        `GbjException`

    - #### fileOutOfDictionary_

          java.lang.String fileOutOfDictionary_(GbjObject aDict)
                                         throws GbjException

      Throws:
        `GbjException`

    - #### remoteSizeOf_

          int remoteSizeOf_(GbjObject anObject)
                     throws GbjException

      Throws:
        `GbjException`

    - #### classNamed_

          GbjObject classNamed_(java.lang.String aClassName)
                         throws GbjException

      Throws:
        `GbjException`

    - #### moveClass_fromDict_toDict_

          void moveClass_fromDict_toDict_(GbjObject aClass,
                                          GbjObject fromDict,
                                          GbjObject toDict)
                                   throws GbjException

      Throws:
        `GbjException`

    - #### dictionaryNames

          java.lang.String[] dictionaryNames()
                                      throws GbjException

      Throws:
        `GbjException`

    - #### isDictionary_

          boolean isDictionary_(GbjObject anObject)
                         throws GbjException

      Throws:
        `GbjException`

    - #### collection_includes_

          boolean collection_includes_(GbjObject anObject,
                                       GbjObject element)
                                throws GbjException

      Throws:
        `GbjException`

    - #### removeClass_fromDict_

          void removeClass_fromDict_(GbjObject aClass,
                                     GbjObject aDict)
                              throws GbjException

      Throws:
        `GbjException`

    - #### addProtocol_toClass_

          void addProtocol_toClass_(java.lang.String newProtocol,
                                    GbjObject aClass)
                             throws GbjException

      Throws:
        `GbjException`

    - #### renameProtocol_to_inClass_

          void renameProtocol_to_inClass_(java.lang.String oldName,
                                          java.lang.String newName,
                                          GbjObject aClass)
                                   throws GbjException

      Throws:
        `GbjException`

    - #### removeProtocol_fromClass_

          void removeProtocol_fromClass_(java.lang.String aProtocol,
                                         GbjObject aClass)
                                  throws GbjException

      Throws:
        `GbjException`

    - #### selectorsForClass_

          java.lang.String[] selectorsForClass_(GbjObject aClass)
                                         throws GbjException

      Throws:
        `GbjException`

    - #### protocolForSelector_inClass_

          java.lang.String protocolForSelector_inClass_(java.lang.String aSelector,
                                                        GbjObject aClass)
                                                 throws GbjException

      Throws:
        `GbjException`

    - #### methodHoldersForImplementorsOf_

          com.gemstone.tools.GbxMethodHolder[] methodHoldersForImplementorsOf_(java.lang.String selector)
                                                                        throws GbjException

      Throws:
        `GbjException`

    - #### methodHoldersForSendersOf_

          com.gemstone.tools.GbxMethodHolder[] methodHoldersForSendersOf_(java.lang.String selector)
                                                                   throws GbjException

      Throws:
        `GbjException`

    - #### methodHoldersForSubstring_

          com.gemstone.tools.GbxMethodHolder[] methodHoldersForSubstring_(java.lang.String substring)
                                                                   throws GbjException

      Throws:
        `GbjException`

    - #### methodHoldersForReferencesTo_

          com.gemstone.tools.GbxMethodHolder[] methodHoldersForReferencesTo_(java.lang.String aSymbol)
                                                                      throws GbjException

      Throws:
        `GbjException`

    - #### methodHoldersForRefsToInstVar_inClass_

          com.gemstone.tools.GbxMethodHolder[] methodHoldersForRefsToInstVar_inClass_(java.lang.String ivName,
                                                                                      GbjObject aProxy)
                                                                               throws GbjException

      Throws:
        `GbjException`

    - #### methodHoldersForRefsToClassVar_inClass_

          com.gemstone.tools.GbxMethodHolder[] methodHoldersForRefsToClassVar_inClass_(java.lang.String cvName,
                                                                                       GbjObject aProxy)
                                                                                throws GbjException

      Throws:
        `GbjException`

    - #### methodHoldersForRefsToClass_

          com.gemstone.tools.GbxMethodHolder[] methodHoldersForRefsToClass_(GbjObject aProxy)
                                                                     throws GbjException

      Throws:
        `GbjException`

    - #### messagesInMethod_inClass_

          java.lang.String[] messagesInMethod_inClass_(java.lang.String aSelector,
                                                       GbjObject aClass)
                                                throws GbjException

      Throws:
        `GbjException`

    - #### moveMethod_to_inClass_

          void moveMethod_to_inClass_(java.lang.String aSelector,
                                      java.lang.String newProtocol,
                                      GbjObject aClass)
                               throws GbjException

      Throws:
        `GbjException`

    - #### removeMethod_fromClass_

          void removeMethod_fromClass_(java.lang.String aSelector,
                                       GbjObject aClass)
                                throws GbjException

      Throws:
        `GbjException`

    - #### acceptClassText_oldClass_

          GbjObject[] acceptClassText_oldClass_(java.lang.String aString,
                                                GbjObject oldClass)
                                         throws GbjException

      Throws:
        `GbjException`

    - #### commentForClass_

          java.lang.String commentForClass_(GbjObject aClass)
                                     throws GbjException

      Throws:
        `GbjException`

    - #### classHoldersFor_

          com.gemstone.tools.GbxClassHolder[] classHoldersFor_(GbjObject anObject)
                                                        throws GbjException

      Throws:
        `GbjException`

    - #### dictionaryHolders

          com.gemstone.tools.GbxDictionaryHolder[] dictionaryHolders()
                                                              throws GbjException

      Throws:
        `GbjException`

    - #### methodHoldersFor_inProtocol_

          com.gemstone.tools.GbxMethodHolder[] methodHoldersFor_inProtocol_(GbjObject anObject,
                                                                            java.lang.String aProtocol)
                                                                     throws GbjException

      Throws:
        `GbjException`

    - #### methodHoldersFor_inProtocol_toLevel_

          com.gemstone.tools.GbxMethodHolder[] methodHoldersFor_inProtocol_toLevel_(GbjObject anObject,
                                                                                    java.lang.String aProtocol,
                                                                                    int aLevel)
                                                                             throws GbjException

      Throws:
        `GbjException`

    - #### protocolHoldersFor_

          java.lang.String[] protocolHoldersFor_(GbjObject anObject)
                                          throws GbjException

      Throws:
        `GbjException`

    - #### protocolHoldersFor_toLevel_

          java.lang.String[] protocolHoldersFor_toLevel_(GbjObject anObject,
                                                         int aLevel)
                                                  throws GbjException

      Throws:
        `GbjException`

    - #### dictionaryHolderFor_

          com.gemstone.tools.GbxDictionaryHolder dictionaryHolderFor_(GbjObject anObject)
                                                               throws GbjException

      Throws:
        `GbjException`

    - #### addDict_at_

          GbjObject addDict_at_(java.lang.String aString,
                                int index)
                         throws GbjException

      Throws:
        `GbjException`

    - #### renameDictionary_as_

          boolean renameDictionary_as_(GbjObject aDictionary,
                                       java.lang.String aString)
                                throws GbjException

      Throws:
        `GbjException`

    - #### removeDictionary_

          void removeDictionary_(GbjObject aProxy)
                          throws GbjException

      Throws:
        `GbjException`

    - #### classDefinitionFor_

          java.lang.String classDefinitionFor_(GbjObject anObject)
                                        throws GbjException

      Throws:
        `GbjException`

    - #### sourceCodeAt_inClass_

          java.lang.String sourceCodeAt_inClass_(java.lang.String selector,
                                                 GbjObject aClass)
                                          throws GbjException

      Throws:
        `GbjException`

    - #### compile_classified_class_

          java.util.Vector compile_classified_class_(java.lang.String source,
                                                     java.lang.String aProtocol,
                                                     GbjObject aClass)
                                              throws GbjException

      Throws:
        `GbjException`

    - #### classHierarchyHoldersFor_

          com.gemstone.tools.GbxClassHolder[] classHierarchyHoldersFor_(GbjObject anObject)
                                                                 throws GbjException

      Throws:
        `GbjException`

    - #### classHistoryFor_

          GbjObject classHistoryFor_(GbjObject aClass)
                              throws GbjException

      Throws:
        `GbjException`

    - #### dictionaryForClass_

          com.gemstone.tools.GbxDictionaryHolder dictionaryForClass_(GbjObject aClassProxy)
                                                              throws GbjException

      Throws:
        `GbjException`

    - #### classVersionHoldersFor_

          com.gemstone.tools.GbxClassHolder[] classVersionHoldersFor_(GbjObject anObject)
                                                               throws GbjException

      Throws:
        `GbjException`

    - #### sourceStringFor_

          java.lang.String sourceStringFor_(GbjObject anObject)
                                     throws GbjException

      Throws:
        `GbjException`

    - #### activationHoldersFor_maxLevels_

          com.gemstone.tools.GbxActivationHolder[] activationHoldersFor_maxLevels_(GbjObject aProcess,
                                                                                   int maxLevels)
                                                                            throws GbjException

      Throws:
        `GbjException`

    - #### printStringFor_

          java.lang.String printStringFor_(GbjObject anObject)
                                    throws GbjException

      Throws:
        `GbjException`

    - #### objectHoldersFor_maxObjects_

          com.gemstone.tools.GbxObjectHolder[] objectHoldersFor_maxObjects_(GbjObject anObject,
                                                                            int max)
                                                                     throws GbjException

      Throws:
        `GbjException`

    - #### objectHoldersForNames_values_

          com.gemstone.tools.GbxObjectHolder[] objectHoldersForNames_values_(GbjObject names,
                                                                             GbjObject values)
                                                                      throws GbjException

      Throws:
        `GbjException`

    - #### infoForClassNamed_

          GbjObject[] infoForClassNamed_(java.lang.String aClassName)
                                  throws GbjException

      Throws:
        `GbjException`

    - #### nameOf_

          java.lang.String nameOf_(GbjObject anObject)
                            throws GbjException

      Throws:
        `GbjException`

    - #### thisClass_

          GbjObject thisClass_(GbjObject aClass)
                        throws GbjException

      Throws:
        `GbjException`

    - #### at_

          GbjObject at_(GbjObject anObject,
                        int index)
                 throws GbjException

      Throws:
        `GbjException`

    - #### fileInString_

          void fileInString_(java.lang.String aString)
                      throws GbjException

      Throws:
        `GbjException`

    - #### symbolsMatching_

          java.lang.String[] symbolsMatching_(java.lang.String sel)
                                       throws GbjException

      Throws:
        `GbjException`

    - #### classNamesMatching_

          java.lang.String[] classNamesMatching_(java.lang.String aClassName)
                                          throws GbjException

      Throws:
        `GbjException`

    - #### stringContentsOf_

          java.lang.String[] stringContentsOf_(GbjCollection collectionProxy)

    - #### evaluate_inContext_names_values_printing_

          GbjObject evaluate_inContext_names_values_printing_(java.lang.String aString,
                                                              GbjObject context,
                                                              GbjObject names,
                                                              GbjObject values,
                                                              boolean aBoolean)
                                                       throws GbjException

      Throws:
        `GbjException`

    - #### sourceCodeForMethod_

          java.lang.String sourceCodeForMethod_(GbjObject aMethod)
                                         throws GbjException

      Throws:
        `GbjException`

    - #### resetClassOrganizer

          void resetClassOrganizer()
                            throws GbjException

      Throws:
        `GbjException`

    - #### errorInfoFrom_

          GbjObject[] errorInfoFrom_(GbjObject errorArray)
                              throws GbjException

      Throws:
        `GbjException`

    - #### instancesOf_

          GbjObject instancesOf_(GbjObject aClass)
                          throws GbjException

      Throws:
        `GbjException`

    - #### migrateInstancesOf_to_

          void migrateInstancesOf_to_(GbjObject fromClass,
                                      GbjObject toClass)
                               throws GbjException

      Throws:
        `GbjException`

    - #### removeFromClassHistory_

          void removeFromClassHistory_(GbjObject aClass)
                                throws GbjException

      Throws:
        `GbjException`

    - #### makeClass_aVersionOf_

          boolean makeClass_aVersionOf_(GbjObject aClass,
                                        GbjObject targetClass)
                                 throws GbjException

      Throws:
        `GbjException`

    - #### transactionConflicts

          GbjObject transactionConflicts()
                                  throws GbjException

      Throws:
        `GbjException`

    - #### storeObject_intoObject_atIndex_atKey_isNamedSlot_

          void storeObject_intoObject_atIndex_atKey_isNamedSlot_(GbjObject slotObject,
                                                                 GbjObject anObject,
                                                                 int slot,
                                                                 GbjObject aKey,
                                                                 boolean isNamedSlot)
                                                          throws GbjException

      Throws:
        `GbjException`

    - #### instVarNamesInClass_

          java.lang.String[] instVarNamesInClass_(GbjObject aClass)
                                           throws GbjException

      Throws:
        `GbjException`

    - #### classVarNamesInClass_

          java.lang.String[] classVarNamesInClass_(GbjObject aClass)
                                            throws GbjException

      Throws:
        `GbjException`

    - #### trimStackOf_toLevel_

          void trimStackOf_toLevel_(GbjObject aProcess,
                                    int aLevel)
                             throws GbjException

      Throws:
        `GbjException`

    - #### continueProcess_

          GbjObject continueProcess_(GbjObject aProcess,
                                     GbjSession session)
                              throws GbjException

      Throws:
        `GbjException`

    - #### stepOverInProcess_

          GbjObject stepOverInProcess_(GbjObject aProcess)
                                throws GbjException

      Throws:
        `GbjException`

    - #### stepOverInProcess_inFrame_

          GbjObject stepOverInProcess_inFrame_(GbjObject aProcess,
                                               int aLevel)
                                        throws GbjException

      Throws:
        `GbjException`

    - #### stepIntoInProcess_

          void stepIntoInProcess_(GbjObject aProcess)
                           throws GbjException

      Throws:
        `GbjException`

    - #### setBreakIn_at_

          void setBreakIn_at_(GbjObject aMethod,
                              int offset)
                       throws GbjException

      Throws:
        `GbjException`

    - #### methodHoldersForBreakpoints

          com.gemstone.tools.GbxMethodHolder[] methodHoldersForBreakpoints()
                                                                    throws GbjException

      Throws:
        `GbjException`

    - #### removeAllBreaks

          void removeAllBreaks()
                        throws GbjException

      Throws:
        `GbjException`

    - #### enableAllBreaks

          void enableAllBreaks()
                        throws GbjException

      Throws:
        `GbjException`

    - #### disableAllBreaks

          void disableAllBreaks()
                         throws GbjException

      Throws:
        `GbjException`

    - #### removeBreakpoint_inMethod_

          void removeBreakpoint_inMethod_(int stepPoint,
                                          GbjObject aMethod)
                                   throws GbjException

      Throws:
        `GbjException`

    - #### enableBreakpoint_inMethod_

          void enableBreakpoint_inMethod_(int stepPoint,
                                          GbjObject aMethod)
                                   throws GbjException

      Throws:
        `GbjException`

    - #### disableBreakpoint_inMethod_

          void disableBreakpoint_inMethod_(int stepPoint,
                                           GbjObject aMethod)
                                    throws GbjException

      Throws:
        `GbjException`